html {
  scroll-behavior: smooth;
}
* {
    box-sizing: border-box;
    font-family: 'Inter', sans-serif;
    margin: 0;
    padding: 0;
}
body {
    margin: 0;
    padding: 0;
    background-color: #ffffff;
}
.tytul{
    padding: 10px 10px 10px 20px;
    margin-bottom: 50px;
    border-left: 3px solid rgb(230, 0, 18);
    text-transform: uppercase;
    height: 86px;
    display: flex;
    flex-direction: column;
}
.podzial {
    width: 50%;
    display: flex;
    align-items: center;
}
span {
    color: rgb(230, 0, 18);
    font-size: 14px;
    font-weight: 700;
    margin-bottom: 14px;
}

header {
    height: 80px;
    width: 100%;
    padding: 10px 183px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.8);
    margin-bottom: 1px solid rgb(34,34,34);
    backdrop-filter: blur(10px);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    box-sizing: border-box;
}
#odnosnik {
    display: flex;
    align-items: center;
    height: 100%;
}
#logo {
    height: 60px;
    width: auto;
}
#menu {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 35px;
}
#menu img{
    display: flex;
    flex-direction: row;
    align-items: center;
}
nav ul {
    list-style-type: none;
    display: flex;
    flex-direction: row;
    align-items: center;
}
nav ul li:not(:last-child)::after {
    content: "//";
    color: rgb(255, 255, 255);
    margin: 0 8px;
    font-size: 11px;
    font-weight: 400;
    letter-spacing: 2px;
    height: 21px;
}
.nav {
    padding: 20px 0;
    color: #ffffff;
    font-size: 11px;
    font-weight: 700;
    line-height: 21px; 
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 2px;
}
#linkedin {
    width: 26px;
    height: 26px;
    display: block;
    color: #ffffff;
    fill: #ffffff;
}

#first {
    width: 100%;
    height: 756px;
    background: 
        linear-gradient(90deg, #000000C4 30%,rgba(255, 255, 255, 0) 100%), 
        url('https://d-san.eu/wp-content/uploads/2026/04/d-san-hero.webp') center/cover no-repeat;
    display: flex;
    flex-direction: row;
    padding-top: 90px;
}
#naglowek {
    padding: 10px;
    padding-left: 20%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
}
#naglowek h1 {
    color: #ffffff;
    font-size: 84px;
    font-weight: 900;
    line-height: 80px;
}
#naglowek p {
    color: rgb(136, 136, 136);
    font-size: 18px;
    font-weight: 400;
    line-height: 27px;
    margin-bottom: 15px;    
}
#naglowek a {
    display: inline-block;
    background-color: rgb(230, 0, 18);
    color: #ffffff;
    padding: 18px 45px;
    font-size: 13px;
    font-weight: 700;
    line-height: 13px;
    text-decoration: none;
    text-transform: uppercase;
}
#naglowek a:hover{
    box-shadow: 0 10px 20px rgba(230,0,18,0.3);
}

#o-nas {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 100px 183px 100px 183px;
    gap: 50px;
}
#o-nas #opis {
    width: 50%;
    display: flex;
    flex-direction: column;
    text-align: left;
    align-items: flex-start;
}
#opis h2 {
    color: #000000;
    font-size: 46px;
    font-weight: 900;
    line-height: 1.2;
    margin-bottom: 25px;
}
#opis p {
    color: rgb(51, 51, 51);
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    margin-bottom: 15px;
}
#opis p strong {
    color: #000000;
    font-weight: 700;
}
#opis .opis1 {
    border-left: 3px solid rgb(230, 0, 18);
    padding: 10px 0px 15px 20px;
    color: rgb(51, 51, 51);
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
}
#o-nas #zdj {
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}
#siedziba {
    width: 100%;
    max-width: 800px;
    height: auto;
    object-fit: cover;
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.5);
}


#oferta{
    background-color: #000000;
    padding: 100px 183px 100px 183px;
}
#oferta h2{
    text-transform: uppercase;
    font-size: 42px;
    font-weight: 900;
    line-height: 42px;
    color: white;
}
#oferta table{
    margin: 10px 0 100px 0;
    border-spacing: 20px;
    width: 1540px;
    height: 962px;
}
    #oferta table tr td{
        border: 1px solid rgb(34,34,34);
        padding: 30px;
        height: 409px;
        width: 438px;
        background-color: #000000;
        transition: 0.3s;
    }
    #oferta table tr td:hover{
        background-color: rgb(14,14,14);
    }
    #oferta table tr td .artykuly{
        display: flex;
        flex-direction: column;
        justify-content: normal;
        align-items: flex-start; 
        gap: 20px;
        height: 100%;
    }
    #oferta table tr td img{
        display: flex;
        width: 438px;
        height: 200px;
        opacity: 0.8;
        transition: 0.3s;
    }
    #oferta table tr td:hover img{
        opacity: 1;
    }
#oferta table tr td h3{
    display: flex;
    color: #ffffff;
    font-size: 18px;
    font-weight: 700;
    line-height: 18px;
    margin-top: 10px;
    text-transform: uppercase;
}
#oferta table tr td p{
    display: flex;
    color: rgb(136,136,136);
    font-size: 14px;
    font-weight: 400;
    line-height: 21px;
    margin-bottom: 15px;
}

#aktualnosci{
    background-color: white;
    padding: 100px 183px 0 183px;
}
#aktualnosci h2{
    text-transform: uppercase;
    font-size: 42px;
    font-weight: 900;
    line-height: 42px;
    color: black;
}
#aktualnosci table{
    margin: 10px 0 100px 0;
    border-spacing: 20px;
    width: 1540px;
    height: 224px;
}
    #aktualnosci table tr td{
        border: 1px solid rgb(231,231,231);
        padding: 30px;
        width: 438px;
    }
    #aktualnosci table tr td .artykuly{
        display: flex;
        flex-direction: column;
        justify-content: center;
        height: 100%;
    }
#aktualnosci table tr td p{
    display: flex;
    color: rgb(51,51,51);
    font-size: 14px;
    font-weight: 400;
    line-height: 21px;
    margin-bottom: 15px;
}

footer{
    background-color: #000000;
    padding: 100px 183px 50px 183px;
    height: 500px;
}
footer h2{
    text-transform: uppercase;
    font-size: 42px;
    font-weight: 900;
    line-height: 42px;
    color: white;
}
footer table{
    margin: 10px 0 100px 0;
    border-spacing: 20px;
    width: 1540px;
    height: 224px;
}
    footer table tr td{
        padding: 10px;
    }
    footer table tr td .artykuly{
        display: flex;
        flex-direction: column;
        justify-content: start;
        height: 100%;
    }
footer table tr td p{
    display: flex;
    color: rgb(136,136,136);
    font-size: 13px;
    font-weight: 400;
    line-height: 19.5px;
}
footer a{
    text-decoration: none;
}
#stopka{
    padding: 30px 0;
    border-top: 1px solid rgb(34,34,34);
    border-bottom: 1px solid rgb(34,34,34);
    background-color: #000000;
    padding: 30px 183px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 128px;
}
#stopka h2, #stopka a{
    color: rgb(136,136,136);
    font-size: 12px;
    font-weight: 400;
    line-height: 12px;
    text-decoration: none;
    text-transform: uppercase;
}
#last{
    padding: 50px 183px;
    background-color: #000000;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
#last p, #last a{
    color: rgb(136,136,136);
    font-size: 10px;
    font-weight: 400;
    line-height: 10px;
    letter-spacing: 1px;
    text-transform: uppercase;
    text-decoration: none;
}

#cookies{
    border-radius: 50%;
    background-color: rgb(230, 0, 18);
    width: 45px;
    height: 45px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    left: 15px;
    bottom: 15px;
    z-index: 999;
    cursor: pointer;
}
#cookies img{
    width: 30px;
    height: 30px;
}
#cookies #dymek{
    visibility: hidden;
    opacity: 0;
    position: absolute;
    bottom: 5px;
    left: 55px;
    background-color: #2e2a3a;
    color: white;
    padding: 10px;
    border-radius: 6px;
    white-space: nowrap;
    font-size: 14px;
    transition: opacity 0.2s ease-in-out;
}
#cookies #dymek::after{
    content: "";
    position: absolute;
    top: 50%;
    right: 100%;
    transform: translateY(-50%);
    border-width: 6px;
    border-style: solid;
    border-color: transparent #2e2a3a transparent transparent;
}
#cookies:hover #dymek{
    visibility: visible;
    opacity: 1;
}
#tlo{
    opacity: 0;
    visibility: hidden;
    width: 100%;
    height: 100vh;
    position: fixed;
    bottom: 0px;
    left: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}
#klauzula{
    background-color: white;
    width: 845px;
    max-height: 488px;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 32px 68px 0px;
    border-radius: 6px;
    display: flex;
    flex-direction: column;
}
#klauzula h2{
    color: rgb(33,33,33);
}
#klauzula #close{
    background-color: white;
    border: none;
    cursor: pointer;
}
#klauzula button img{
    width: 10px;
    height: 10px;
}
#top{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 22px 24px;
}
#bottom{
    padding: 22px 24px;
}
#bottom button{
    padding: 18px 45px;
    margin-right: 8px;
    background-color: #ffffff;
    color: rgb(230, 0, 18);
    border: none;
    cursor: pointer;
}
#bottom #button3{
    color: #ffffff;
    background-color: rgb(230, 0, 18);
    border: none;
}
@media (max-width: 800px) {
    *{
        padding: 0;
        margin: 0;
        max-width: 800px;
    }
    .podzial{
        min-width: 0%;
    }
    header{
        padding: 10px;
    }
    #first{
        padding: 10px;
    }
    #first #naglowek{
        padding: 10px;
        width: 100%;
    }
    #first h1{
        font-size: 42px;
        line-height: 50px;
    }
    #o-nas{
        padding: 10px;
        display: flex;
        flex-direction: column;
    }
    #o-nas #opis, #o-nas #zdj{
        width: 100%;
    }
    #oferta{
        padding: 10px;     
    }
    #oferta table{
        margin: 0;
    }
    #oferta table tr{
        display: flex;
        flex-direction: column;
    }
    #oferta table tr td{
        display: flex;
        flex-direction: column;
        margin: 10px 0 0 0;
        height: auto;
    }
    #oferta table tr td img{
        width: 100%;
    }
    #aktualnosci{
        padding: 10px;
    }
    #aktualnosci table{
        margin: 0;
    }
    #aktualnosci table tr td{
        display: flex;
        flex-direction: column;
        margin: 10px 0 0 0;
        height: auto;
    }
    footer{
        padding: 10px;
        height: auto;
    }
    footer table{
        margin: 0;
    }
    footer table tr td{
        display: flex;
        flex-direction: column;
        margin: 10px 0 0 0;
        height: auto;
    }
    #stopka{
        padding: 10px;
        display: flex;
        flex-direction: column;
    }
    #last{
        padding: 10px;
    }
}